import { Component, OnInit } from '@angular/core';
import {FormControl, UntypedFormControl, Validators} from "@angular/forms";
import * as _moment from 'moment';
import {DateAdapter, MAT_DATE_FORMATS, MAT_DATE_LOCALE} from "@angular/material/core";
import {MomentDateAdapter} from "@angular/material-moment-adapter";


@Component({
  selector: 'app-task-editor',
  templateUrl: './task-editor.component.html',
  styleUrls: ['./task-editor.component.css'],
})
export class TaskEditorComponent implements OnInit {

  nameCtrl: FormControl = new FormControl('', [Validators.required, Validators.maxLength(255)])
  etaCtrl: FormControl = new FormControl(0, [Validators.required, Validators.min(0)])
  startDate: FormControl = new FormControl(Date.now(), [Validators.required])
  endDate: FormControl = new FormControl('');
  constructor() { }

  ngOnInit(): void {
  }

}
